# Wallet

## getWalletByAddress

> Returns public information about a wallet specified by its address<br>

```json
{"openapi":"3.1.0","info":{"title":"EDX Public API Model","version":"1.0.0"},"tags":[{"name":"Wallet"}],"servers":[{"url":"/api/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"WalletReduced":{"type":"object","properties":{"address":{"description":"The blockchain address of the wallet\n","type":"string","pattern":"^(0x)?[0-9a-fA-F]+$","maxLength":255},"status":{"description":"Status of the wallet\n","$ref":"#/components/schemas/WalletStatusEnum"},"designation":{"description":"Designated usage of the wallet\n","$ref":"#/components/schemas/WalletDesignationEnum"}}},"WalletStatusEnum":{"type":"string","enum":["CREATED","IN_VERIFICATION","VERIFIED","REMOVED","BLOCKED"]},"WalletDesignationEnum":{"type":"string","enum":["TRADING","MARKET_MAKER"]},"AppError":{"required":["code","message"],"type":"object","properties":{"code":{"description":"A identifier that categorizes the error","type":"string"},"message":{"description":"A brief, human-readable message about the error","type":"string"},"status":{"description":"The HTTP response code","type":"integer","format":"int32"},"path":{"description":"A URI that identifies the specific occurrence of the error","type":"string"},"timestamp":{"type":"string","format":"date-time"},"details":{"description":"Detailed explanations of the error","type":"array","items":{"type":"string"}}}}},"responses":{"DefaultError":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppError"}}}}}},"paths":{"/wallets/byaddress/{wallet_address}":{"get":{"tags":["Wallet"],"summary":"getWalletByAddress","description":"Returns public information about a wallet specified by its address\n","operationId":"getWalletByAddress","parameters":[{"name":"wallet_address","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletReduced"}}}},"default":{"$ref":"#/components/responses/DefaultError"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.21x.eu/api-reference-v1.0/wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
